Talkr AI
API ReferenceTelephony ConfigurationsPhone Numbers

Set Default Caller

Designate a phone number as the configuration's default outbound caller id

Outbound calls placed through this configuration that don't specify a from_number use the default caller. Setting a new default automatically clears the previous one — at most one phone number per configuration can be the default caller.

POST
/api/v1/organizations/telephony-configs/{config_id}/phone-numbers/{phone_number_id}/set-default-caller

Path Parameters

config_id*Config Id
phone_number_id*Phone Number Id

Header Parameters

authorization?string|null
X-API-Key?string|null

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/organizations/telephony-configs/0/phone-numbers/0/set-default-caller"
{  "id": 0,  "telephony_configuration_id": 0,  "address": "string",  "address_normalized": "string",  "address_type": "string",  "country_code": "string",  "label": "string",  "inbound_workflow_id": 0,  "inbound_workflow_name": "string",  "is_active": true,  "is_default_caller_id": true,  "extra_metadata": {},  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "provider_sync": {    "ok": true,    "message": "string"  }}